﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CopyUSB;

public class FileCopy
{
	public static void Copy(string source,string des)
	{
		try
		{
			var sourceDir = new DirectoryInfo(source);
			var desDir = new DirectoryInfo(des);

			// 确保目标目录存在
			if (!desDir.Exists)
			{
				desDir.Create();
			}
			//遍历目录
			foreach (var subDir in sourceDir.GetDirectories())
			{
				Copy(subDir.FullName, Path.Combine(desDir.FullName, subDir.Name));
			}
			foreach (var file in sourceDir.GetFiles())
			{
				string destinationFile = Path.Combine(desDir.FullName, file.Name);
				file.CopyTo(destinationFile, true);

				Console.WriteLine($"{file} CopyTo--> {destinationFile}");
			}
		}
		catch (Exception ex)
		{
			Console.WriteLine($"{source} Copy Error");
			/*Console.WriteLine(ex.ToString());*/
		}
	}
}
